QGIS Application - Bug report #13510
qt5: most keyboard shortcuts of a composer window not working
2015-10-04 09:49 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 21554
Description

When compiling QGIS using Qt5 libraries, keyboard shortcuts - such as DEL, Ctrl+C, Ctrl+V, etc. - are not working for composer
windows.
Steps to reproduce:
1. Launch QGIS (compiled using Qt5 libraries)
. Create a new composer, and add a text item
. Select that text item, and try to paste a copy of it by hitting Ctrl+C and Ctrl+V
. Notice the copying / pasting doesn't work
. Now try to delete the item by hitting the DEL keyboard key
. Notice the deletion doesn't occur
. Now try to delete the item by hitting the BACKSPACE keyboard key
. Notice that actually works :)
This is obviously nothing very urgent to look into, but thought I'd file this as a reminder whenever QGIS will start moving to Qt5.

History

#1 - 2015-10-06 04:36 AM - Matthias Kuhn
- Operating System set to Ubuntu

Works for me on Fedora.

#2 - 2016-03-21 12:02 AM - Mathieu Pellerin - nIRV

I've just compiled QGIS under forthcoming Ubuntu LTS 16.04 to test whether the issue is still present under Qt5.5.

Itis :) it would be nice to get rid of this issue prior to 2.16.

#3 - 2016-08-21 09:21 AM - Mathieu Pellerin - nIRV
- Resolution set to invalid
- Status changed from Open to Closed

Just compiled QGIS with Qt5.6, and the keyboard shortcut issue is gone. This is an issue with the upstream qt library, close this ticket.
